OperatingSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.OperatingSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface OperatingSystem

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

All Known Subinterfaces:
  Aix, Darwin, Dos, FreeBSD, HpUx, I5OperatingSystem, ipso, Linux, MacOS, Netware, OpenVms, Solaris, Tru64, Unix, VmwareESX, WindowsOperatingSystem, ZCouplingFacility, ZLinux, ZOS, ZVM

    public interface OperatingSystem

extends CIMSystem, Version, ConfigurationItem

Naming Rules:
  0="parent,name" 1="parent,osId" 2="systemGuid" 3="parent,OSName" 4="managedSystemName" 5="FQDN"
Persistable:
  true
Table Name:
  OPSYS
Display Name:
  parent

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`FileSystem` | `getBootFileSystem()`
`long` | `getBootTime()`
`java.lang.String` | `getCharset()`
`LogicalContent[]` | `getConfigContents()`
`long` | `getCurrentTime()`
`DNSResolveEntry[]` | `getDNSResolveEntries()`
`java.lang.String` | `getFQDN()`
`SoftwareInstallation[]` | `getInstalledSoftware()`
`java.lang.String` | `getKernelArchitecture()`
`LogicalContent` | `getKernelModulesRawData()`
`java.lang.String` | `getKernelVersion()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getName()`
`int` | `getOSConfidence()`
`int` | `getOsId()` Give the OS's for a host IDs, so that if there is only one OS, they can be merged based on IDs and parent attribute.
`java.lang.String` | `getOSMode()`
`java.lang.String` | `getOSName()`
`java.lang.String` | `getOSVersion()`
`LogicalContent` | `getPackagesInstalledRawData()`
`ComputerSystem` | `getParent()`
`LogicalContent` | `getPatchesInstalledRawData()`
`SoftwareComponent[]` | `getSoftwareComponents()`
`java.lang.String` | `getSystemGuid()`
`long` | `getVirtualMemorySize()`
`ZReportFile[]` | `getZReportFiles()`
`boolean` | `hasBootFileSystem()`
`boolean` | `hasBootTime()`
`boolean` | `hasCharset()`
`boolean` | `hasConfigContents()`
`boolean` | `hasCurrentTime()`
`boolean` | `hasDNSResolveEntries()`
`boolean` | `hasFQDN()`
`boolean` | `hasInstalledSoftware()`
`boolean` | `hasKernelArchitecture()`
`boolean` | `hasKernelModulesRawData()`
`boolean` | `hasKernelVersion()`
`boolean` | `hasLocale()`
`boolean` | `hasName()`
`boolean` | `hasOSConfidence()`
`boolean` | `hasOsId()`
`boolean` | `hasOSMode()`
`boolean` | `hasOSName()`
`boolean` | `hasOSVersion()`
`boolean` | `hasPackagesInstalledRawData()`
`boolean` | `hasParent()`
`boolean` | `hasPatchesInstalledRawData()`
`boolean` | `hasSoftwareComponents()`
`boolean` | `hasSystemGuid()`
`boolean` | `hasVirtualMemorySize()`
`boolean` | `hasZReportFiles()`
`void` | `setBootFileSystem(FileSystem fs)`
`void` | `setBootTime(long l)`
`void` | `setCharset(java.lang.String s)`
`void` | `setConfigContents(LogicalContent[] contents)`
`void` | `setCurrentTime(long l)`
`void` | `setDNSResolveEntries(DNSResolveEntry[] entries)`
`void` | `setFQDN(java.lang.String fqdn)`
`void` | `setInstalledSoftware(SoftwareInstallation[] s)`
`void` | `setKernelArchitecture(java.lang.String s)`
`void` | `setKernelModulesRawData(LogicalContent pkgs)`
`void` | `setKernelVersion(java.lang.String s)`
`void` | `setLocale(java.lang.String s)`
`void` | `setName(java.lang.String name)`
`void` | `setOSConfidence(int i)`
`void` | `setOsId(int id)`
`void` | `setOSMode(java.lang.String s)`
`void` | `setOSName(java.lang.String s)`
`void` | `setOSVersion(java.lang.String s)`
`void` | `setPackagesInstalledRawData(LogicalContent pkgs)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPatchesInstalledRawData(LogicalContent patches)`
`void` | `setSoftwareComponents(SoftwareComponent[] s)`
`void` | `setSystemGuid(java.lang.String guid)`
`void` | `setVirtualMemorySize(long l)`
`void` | `setZReportFiles(ZReportFile[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getZReportFiles

    ZReportFile[] getZReportFiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setZReportFiles

    void setZReportFiles(ZReportFile[] x)

### hasZReportFiles

    boolean hasZReportFiles()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getFQDN

    java.lang.String getFQDN()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFQDN

    void setFQDN(java.lang.String fqdn)

### hasFQDN

    boolean hasFQDN()

### getSystemGuid

    java.lang.String getSystemGuid()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemGuid

    void setSystemGuid(java.lang.String guid)

### hasSystemGuid

    boolean hasSystemGuid()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getVirtualMemorySize

    long getVirtualMemorySize()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualMemorySize

    void setVirtualMemorySize(long l)

### hasVirtualMemorySize

    boolean hasVirtualMemorySize()

### getOSName

    java.lang.String getOSName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSName

    void setOSName(java.lang.String s)

### hasOSName

    boolean hasOSName()

### getOSVersion

    java.lang.String getOSVersion()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSVersion

    void setOSVersion(java.lang.String s)

### hasOSVersion

    boolean hasOSVersion()

### getBootTime

    long getBootTime()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBootTime

    void setBootTime(long l)

### hasBootTime

    boolean hasBootTime()

### getCurrentTime

    long getCurrentTime()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCurrentTime

    void setCurrentTime(long l)

### hasCurrentTime

    boolean hasCurrentTime()

### getBootFileSystem

    FileSystem getBootFileSystem()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BootsFrom" reverse="false"

### setBootFileSystem

    void setBootFileSystem(FileSystem fs)

### hasBootFileSystem

    boolean hasBootFileSystem()

### getDNSResolveEntries

    DNSResolveEntry[] getDNSResolveEntries()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDNSResolveEntries

    void setDNSResolveEntries(DNSResolveEntry[] entries)

### hasDNSResolveEntries

    boolean hasDNSResolveEntries()

### getPackagesInstalledRawData

    LogicalContent getPackagesInstalledRawData()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"

### setPackagesInstalledRawData

    void setPackagesInstalledRawData(LogicalContent pkgs)

### hasPackagesInstalledRawData

    boolean hasPackagesInstalledRawData()

### getPatchesInstalledRawData

    LogicalContent getPatchesInstalledRawData()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"

### setPatchesInstalledRawData

    void setPatchesInstalledRawData(LogicalContent patches)

### hasPatchesInstalledRawData

    boolean hasPatchesInstalledRawData()

### getConfigContents

    LogicalContent[] getConfigContents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigContents

    void setConfigContents(LogicalContent[] contents)

### hasConfigContents

    boolean hasConfigContents()

### getKernelArchitecture

    java.lang.String getKernelArchitecture()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKernelArchitecture

    void setKernelArchitecture(java.lang.String s)

### hasKernelArchitecture

    boolean hasKernelArchitecture()

### getKernelVersion

    java.lang.String getKernelVersion()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKernelVersion

    void setKernelVersion(java.lang.String s)

### hasKernelVersion

    boolean hasKernelVersion()

### getCharset

    java.lang.String getCharset()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCharset

    void setCharset(java.lang.String s)

### hasCharset

    boolean hasCharset()

### getLocale

    java.lang.String getLocale()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocale

    void setLocale(java.lang.String s)

### hasLocale

    boolean hasLocale()

### getInstalledSoftware

    SoftwareInstallation[] getInstalledSoftware()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"
  Containment Relationship:
    true

### setInstalledSoftware

    void setInstalledSoftware(SoftwareInstallation[] s)

### hasInstalledSoftware

    boolean hasInstalledSoftware()

### getSoftwareComponents

    SoftwareComponent[] getSoftwareComponents()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"
  Containment Relationship:
    true

### setSoftwareComponents

    void setSoftwareComponents(SoftwareComponent[] s)

### hasSoftwareComponents

    boolean hasSoftwareComponents()

### getOsId

    int getOsId()
                throws AttributeNotSetException

  Give the OS's for a host IDs, so that if there is only one OS, they can be merged based on IDs and parent attribute. The hostID for the runningOS is always 1.

  Returns:
  Throws:
    `AttributeNotSetException`

### setOsId

    void setOsId(int id)

### hasOsId

    boolean hasOsId()

### getKernelModulesRawData

    LogicalContent getKernelModulesRawData()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"

### setKernelModulesRawData

    void setKernelModulesRawData(LogicalContent pkgs)

### hasKernelModulesRawData

    boolean hasKernelModulesRawData()

### getOSMode

    java.lang.String getOSMode()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSMode

    void setOSMode(java.lang.String s)

### hasOSMode

    boolean hasOSMode()

### getOSConfidence

    int getOSConfidence()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSConfidence

    void setOSConfidence(int i)

### hasOSConfidence

    boolean hasOSConfidence()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD